package com.rjconsultores.ventaboletos.web.utilerias.menu.item.relatorios.impressaofiscal;

import java.util.HashMap;

public class TipoImportacaoFiscal {

	public enum TipoImportacao {
		ECF, ECF_CANCELADOS, MANUAL, REDUCAO_Z, NAO_FISCAL, RELATORIO_FINANCEIRO, RELATORIO_VOUCHER;
	}

	public static HashMap<String, Boolean> selecionaTipoImportacao(TipoImportacao tipo, HashMap<String, Boolean> map) {

		map.remove(TipoImportacao.ECF.toString());
		map.remove(TipoImportacao.ECF_CANCELADOS.toString());
		map.remove(TipoImportacao.MANUAL.toString());
		map.remove(TipoImportacao.REDUCAO_Z.toString());
		map.remove(TipoImportacao.NAO_FISCAL.toString());
		map.remove(TipoImportacao.RELATORIO_FINANCEIRO.toString());
		map.remove(TipoImportacao.RELATORIO_VOUCHER.toString());

		if (tipo.equals(TipoImportacao.ECF)) {
			map.put(TipoImportacao.ECF.toString(), Boolean.TRUE);
			map.put(TipoImportacao.ECF_CANCELADOS.toString(), Boolean.FALSE);
			map.put(TipoImportacao.MANUAL.toString(), Boolean.FALSE);
			map.put(TipoImportacao.REDUCAO_Z.toString(), Boolean.FALSE);
			map.put(TipoImportacao.NAO_FISCAL.toString(), Boolean.FALSE);
			map.put(TipoImportacao.RELATORIO_FINANCEIRO.toString(), Boolean.FALSE);
			map.put(TipoImportacao.RELATORIO_VOUCHER.toString(), Boolean.FALSE);
		}

		if (tipo.equals(TipoImportacao.ECF_CANCELADOS)) {
			map.put(TipoImportacao.ECF.toString(), Boolean.FALSE);
			map.put(TipoImportacao.ECF_CANCELADOS.toString(), Boolean.TRUE);
			map.put(TipoImportacao.MANUAL.toString(), Boolean.FALSE);
			map.put(TipoImportacao.REDUCAO_Z.toString(), Boolean.FALSE);
			map.put(TipoImportacao.NAO_FISCAL.toString(), Boolean.FALSE);
			map.put(TipoImportacao.RELATORIO_FINANCEIRO.toString(), Boolean.FALSE);
			map.put(TipoImportacao.RELATORIO_VOUCHER.toString(), Boolean.FALSE);
		}

		if (tipo.equals(TipoImportacao.MANUAL)) {
			map.put(TipoImportacao.ECF.toString(), Boolean.FALSE);
			map.put(TipoImportacao.ECF_CANCELADOS.toString(), Boolean.FALSE);
			map.put(TipoImportacao.MANUAL.toString(), Boolean.TRUE);
			map.put(TipoImportacao.REDUCAO_Z.toString(), Boolean.FALSE);
			map.put(TipoImportacao.NAO_FISCAL.toString(), Boolean.FALSE);
			map.put(TipoImportacao.RELATORIO_FINANCEIRO.toString(), Boolean.FALSE);
			map.put(TipoImportacao.RELATORIO_VOUCHER.toString(), Boolean.FALSE);
		}

		if (tipo.equals(TipoImportacao.REDUCAO_Z)) {
			map.put(TipoImportacao.ECF.toString(), Boolean.FALSE);
			map.put(TipoImportacao.ECF_CANCELADOS.toString(), Boolean.FALSE);
			map.put(TipoImportacao.MANUAL.toString(), Boolean.FALSE);
			map.put(TipoImportacao.REDUCAO_Z.toString(), Boolean.TRUE);
			map.put(TipoImportacao.NAO_FISCAL.toString(), Boolean.FALSE);
			map.put(TipoImportacao.RELATORIO_FINANCEIRO.toString(), Boolean.FALSE);
			map.put(TipoImportacao.RELATORIO_VOUCHER.toString(), Boolean.FALSE);
		}

		if (tipo.equals(TipoImportacao.NAO_FISCAL)) {
			map.put(TipoImportacao.ECF.toString(), Boolean.FALSE);
			map.put(TipoImportacao.ECF_CANCELADOS.toString(), Boolean.FALSE);
			map.put(TipoImportacao.MANUAL.toString(), Boolean.FALSE);
			map.put(TipoImportacao.REDUCAO_Z.toString(), Boolean.FALSE);
			map.put(TipoImportacao.NAO_FISCAL.toString(), Boolean.TRUE);
			map.put(TipoImportacao.RELATORIO_FINANCEIRO.toString(), Boolean.FALSE);
			map.put(TipoImportacao.RELATORIO_VOUCHER.toString(), Boolean.FALSE);
		}

		if (tipo.equals(TipoImportacao.RELATORIO_FINANCEIRO)) {
			map.put(TipoImportacao.ECF.toString(), Boolean.FALSE);
			map.put(TipoImportacao.ECF_CANCELADOS.toString(), Boolean.FALSE);
			map.put(TipoImportacao.MANUAL.toString(), Boolean.FALSE);
			map.put(TipoImportacao.REDUCAO_Z.toString(), Boolean.FALSE);
			map.put(TipoImportacao.NAO_FISCAL.toString(), Boolean.FALSE);
			map.put(TipoImportacao.RELATORIO_FINANCEIRO.toString(), Boolean.TRUE);
			map.put(TipoImportacao.RELATORIO_VOUCHER.toString(), Boolean.FALSE);
		}

		if (tipo.equals(TipoImportacao.RELATORIO_VOUCHER)) {
			map.put(TipoImportacao.ECF.toString(), Boolean.FALSE);
			map.put(TipoImportacao.ECF_CANCELADOS.toString(), Boolean.FALSE);
			map.put(TipoImportacao.MANUAL.toString(), Boolean.FALSE);
			map.put(TipoImportacao.REDUCAO_Z.toString(), Boolean.FALSE);
			map.put(TipoImportacao.NAO_FISCAL.toString(), Boolean.FALSE);
			map.put(TipoImportacao.RELATORIO_FINANCEIRO.toString(), Boolean.FALSE);
			map.put(TipoImportacao.RELATORIO_VOUCHER.toString(), Boolean.TRUE);
		}

		return map;
	}

}
